<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Product list</title>
    <link rel="stylesheet" href="/products-list.css">
</head>

<body>
<div class="header">
    <h1>List of products</h1>
</div>

<div class="table-wrapper">
    <table class="fl-table">
        <thead>
        <thead>
        <tr>
            <th>Product name</th>
            <th>Description</th>
            <th>Price</th>
            <th>Image</th>
            <th>Restaurant</th>
            <th>Update</th>
            <th>Delete</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="product:${products}">
            <td th:text="${product.productName}"></td>
            <td th:text="${product.description}"></td>
            <td th:text="${#numbers.formatDecimal(product.price,2,2)}" ></td>
            <td><img th:src="*{'data:image/jpg;base64,'+ product.imageAsString}" height="70px" width="90px" alt="Image" /></td>
            <td th:text="${product.restaurant.restaurantName}"></td>

            <td><a  th:href="@{/displayEditProduct/{idProduct}(idProduct=${product.idProduct})}">Edit</a></td>
            <td><a th:href="@{/products/delete/{idProduct}(idProduct=${product.idProduct})}">Delete</a></td>
        </tr>
        </tbody>
    </table>

</div>
</body>
</html>